import com.urbancode.anthill3.AHPTool;
import com.urbancode.anthill3.plugin.wldeploy.WebLogicStatusHelper;

final def ahpTool = new AHPTool();
final def props = ahpTool.getStepProperties();

final def jmxUrl = props['integration/jmxUrl'];
final def user = props['integration/user'];
final def pass = props['integration/password'];
def targets = props['integration/targets'];
def app = props['app'];
def wantedStatus = props['wantedStatus']
def badStatuses = [];

targets = targets.split(',');

WebLogicStatusHelper helper = new WebLogicStatusHelper();
helper.initConn(jmxUrl, user, pass);
targets.each { target ->
    System.out.println("Checking Target ${target}");
    def status = helper.getAppState(app,target);
    if (status != wantedStatus) {
        badStatuses << [target, status];
    }
}
helper.closeConn();

if (!badStatuses.isEmpty()) {
    badStatuses.each { status ->
        System.out.println("Application " + app + " on " + status[0] + " is not in correct state : " + status[1]) 
    }
    System.exit(1);
}
System.exit(0);
