import com.urbancode.anthill3.AHPTool;
import com.urbancode.anthill3.plugin.wldeploy.WebLogicStatusHelper;

final def ahpTool = new AHPTool();
final def props = ahpTool.getStepProperties();

final def jmxUrl = props['integration/jmxUrl'];
final def user = props['integration/user'];
final def pass = props['integration/password'];
def targets = props['integration/targets'];
def badStatuses = [];

targets = targets.split(',');

WebLogicStatusHelper helper = new WebLogicStatusHelper();
helper.initConn(jmxUrl, user, pass);
targets.each { target ->
    System.out.println("Checking Target ${target}");
    def status = helper.getManagedServerStatus(target);
    if (status instanceof List) {
        status.each { serverStatusPair ->
            println serverStatusPair;
            if (serverStatusPair[1] != "RUNNING") {
                badStatuses << [serverStatusPair[0], serverStatusPair[1]];
            }
        }
    }
    else { 
        println status;
        if (status != "RUNNING") {
            badStatuses << [target, status];
        }
    }
}
helper.closeConn();

if (!badStatuses.isEmpty()) {
    badStatuses.each { status ->
        System.out.println(status[0] + " is not in running state : " + status[1]) 
    }
    System.exit(1);
}
System.exit(0);
