import com.urbancode.anthill3.AHPTool;

final def ahpTool = new AHPTool()
final def props = ahpTool.getStepProperties()

final def url = props['integration/url']
final def user = props['integration/user'];
final def pass = props['integration/password'];
final def targets = props['integration/targets'];
final def path = props['integration/path'];
final def appName = props['appName'];
final def source = props['source'];
final def operation = props['operation'];
final def retiretimeout = props['retiretimout'];
final def plan = props['plan'];
final def planver = props['planver'];
final def altappdd = props['altappdd'];
final def altwlsappdd = props['altwlsappdd'];
final def appver = props['appver'];
final def id = props['id'];
final def remote = props['remote'];
def additionalProps = props['additionalProps'];
if (additionalProps != null && additionalProps != "") {
    additionalProps = additionalProps.split('\n'); 
}

def ant = new AntBuilder();
def propsMap = [:];

propsMap.put('verbose', "true");
propsMap.put('debug', "true");

propsMap.put('action', operation);
propsMap.put('name', appName);
propsMap.put('user', user);
propsMap.put('password', pass);
propsMap.put('targets', targets);
propsMap.put('adminurl', url);

if (source != null && source != "") {
    propsMap.put('source', source);
}
if (retiretimeout != null && retiretimout != "") {
    propsMap.put('retiretimout', retiretimeout);
}
if (plan != null && plan != "") {
    propsMap.put('plan', plan);
}
if (planver != null && planver != "") {
    propsMap.put('planversion', planver);
}
if (appver != null && appver != "") {
    propsMap.put('appversion', appver);
}
if (altappdd != null && altappdd != "") {
    propsMap.put('altappdd', altappdd);
}
if (altwlsappdd != null && altwlsappdd != "") {
    propsMap.put('altwlsappdd', altwlsappdd);
}
if (id != null && id != "") {
    propsMap.put('id', id);
}

if (remote != null && remote != "" && !remote.equals("false")) {
    propsMap.put('remote', 'true');
}
additionalProps.each { additionalProp -> 
    def splitUp = additionalProp.split('=', 2);
    if (splitUp.length == 2) {
        propsMap.put(splitUp[0], splitUp[1]);
    }
}    

System.out.println(propsMap);
ant.sequential {
    taskdef name:"wldeploy", classname:"weblogic.ant.taskdefs.management.WLDeploy", classpath:"${path}"
    wldeploy(propsMap)
}